SDXFrameWork 0.09 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | List of all members
SDX::BmpFont Class Reference

ビットマップフォントを表すクラス. More...

`#include <BmpFont.h>`

Inherits SDX::IFont.

## Public Member Functions
int | GetEnterHeight () const
| 改行の高さを取得. More...
void | SetEnterHeight (int 改行の高さ)
| 改行の高さを設定. More...
bool | SetNumber (ImagePack *数字用イメージ)
| 数字フォントを設定. More...
bool | SetAlphabetCapital (ImagePack *大文字用イメージ)
| 英大文字フォントをセット. More...
bool | SetAlphabetLow (ImagePack *小文字用イメージ)
| 英小文字フォントをセット. More...
bool | Draw (const Point &座標, Color 描画色, VariadicStream 描画する文字列) const override
| 書式付きで文字を描画. More...
bool | DrawRotate (const Point &座標, double 拡大率, double 角度, Color 描画色, bool 反転フラグ, VariadicStream 描画する文字列) const override
| 文字を回転して描画[未実装]. More...
bool | DrawExtend (const Point &座標, double X拡大率, double Y拡大率, Color 描画色, VariadicStream 描画する文字列) const override
| 拡大率を指定して文字を描画. More...

## Detailed Description

ビットマップフォントを表すクラス.

//©SDXFramework http://sourceforge.jp/projects/dxframework/
//🍣ビットマップフォントを使った描画を行う
bool SampleBmpFont()
{
using namespace SDX;
System::Initialise("sample", 600, 400);
//BmpFont用の画像を読み込む
ImagePack no("image.bmp",10,10,1);
ImagePack engBic("image.bmp", 26, 26, 1);
ImagePack engSmall("image.bmp", 26, 26, 1);
//BmpFontを設定する
BmpFont bmpFont;
bmpFont.SetNumber(&no);
bmpFont.SetAlphabetCapital(&engBic);
bmpFont.SetAlphabetLow(&engSmall);
//インターフェースはFontと共通
Font font("明朝",10,1,10);
IFont* ifont[2];
ifont[0] = &font;
ifont[1] = &bmpFont;
while (System::Update())
{
ifont[0]->Draw({ 10, 10 }, Color::White, { "Hello World!\n", 1928374650 });
ifont[1]->Draw({ 10, 100 }, Color::White, { "Hello World!\n", 1928374650 });
if (Input::key.Return.on) break;//Enterで終了
}
System::End();
return true;
}

## Member Function Documentation

int SDX::BmpFont::GetEnterHeight | ( |  | ) | const

改行の高さを取得.

void SDX::BmpFont::SetEnterHeight | ( | int | 改行の高さ | ) |

改行の高さを設定.

0の場合、改行後の上下がくっつく

bool SDX::BmpFont::SetNumber | ( | ImagePack * | 数字用イメージ | ) |

数字フォントを設定.

数字描画に使うImagePackを設定する
0～9の順に10個並べた画像を使う

bool SDX::BmpFont::SetAlphabetCapital | ( | ImagePack * | 大文字用イメージ | ) |

英大文字フォントをセット.

英大文字に使うImagePackを設定する
A～Zの順に26個並べた画像を使う

bool SDX::BmpFont::SetAlphabetLow | ( | ImagePack * | 小文字用イメージ | ) |

英小文字フォントをセット.

英小文字に使うImagePackを設定する
A～Zの順に26個並べた画像を使う

bool SDX::BmpFont::Draw | ( | const Point & | 座標,
|  | Color | 描画色,
|  | VariadicStream | 描画する文字列
| ) |  | const
| override virtual

書式付きで文字を描画.

Implements SDX::IFont.

bool SDX::BmpFont::DrawRotate | ( | const Point & | 座標,
|  | double | 拡大率,
|  | double | 角度,
|  | Color | 描画色,
|  | bool | 反転フラグ,
|  | VariadicStream | 描画する文字列
| ) |  | const
| override virtual

文字を回転して描画[未実装].

Implements SDX::IFont.

bool SDX::BmpFont::DrawExtend | ( | const Point & | 座標,
|  | double | X拡大率,
|  | double | Y拡大率,
|  | Color | 描画色,
|  | VariadicStream | 描画する文字列
| ) |  | const
| override virtual

拡大率を指定して文字を描画.

Implements SDX::IFont.